<!DOCTYPE html>
<html>
<head>
<script type="text/javascript" src="./js/coder_app.js"></script>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<script type="text/javascript" src="./rtwreport_utils.js"></script>
<script type="text/javascript" src="./rtwannotate.js"></script>
<link rel="stylesheet" type="text/css" href="./css/coder_app.css"/>
</head>
<body onload="srcFileOnload();">
<pre id="code">
<table class="code" id="codeTbl">
<tr name="1" id="1">
<td><a id="l1" class='ln'>1</a></td><td><span class="ct">/*</span></td></tr>
<tr name="2" id="2">
<td><a id="l2" class='ln'>2</a></td><td><span class="ct"> * rtwtypes.h</span></td></tr>
<tr name="3" id="3">
<td><a id="l3" class='ln'>3</a></td><td><span class="ct"> *</span></td></tr>
<tr name="4" id="4">
<td><a id="l4" class='ln'>4</a></td><td><span class="ct"> * Sponsored License - for use in support of a program or activity</span></td></tr>
<tr name="5" id="5">
<td><a id="l5" class='ln'>5</a></td><td><span class="ct"> * sponsored by MathWorks.  Not for government, commercial or other</span></td></tr>
<tr name="6" id="6">
<td><a id="l6" class='ln'>6</a></td><td><span class="ct"> * non-sponsored organizational use.</span></td></tr>
<tr name="7" id="7">
<td><a id="l7" class='ln'>7</a></td><td><span class="ct"> *</span></td></tr>
<tr name="8" id="8">
<td><a id="l8" class='ln'>8</a></td><td><span class="ct"> * Code generation for model "ControlePosicao".</span></td></tr>
<tr name="9" id="9">
<td><a id="l9" class='ln'>9</a></td><td><span class="ct"> *</span></td></tr>
<tr name="10" id="10">
<td><a id="l10" class='ln'>10</a></td><td><span class="ct"> * Model version              : 2.0</span></td></tr>
<tr name="11" id="11">
<td><a id="l11" class='ln'>11</a></td><td><span class="ct"> * Simulink Coder version : 9.4 (R2020b) 29-Jul-2020</span></td></tr>
<tr name="12" id="12">
<td><a id="l12" class='ln'>12</a></td><td><span class="ct"> * C++ source code generated on : Wed Jun 16 13:00:34 2021</span></td></tr>
<tr name="13" id="13">
<td><a id="l13" class='ln'>13</a></td><td><span class="ct"> *</span></td></tr>
<tr name="14" id="14">
<td><a id="l14" class='ln'>14</a></td><td><span class="ct"> * Target selection: grt.tlc</span></td></tr>
<tr name="15" id="15">
<td><a id="l15" class='ln'>15</a></td><td><span class="ct"> * Note: GRT includes extra infrastructure and instrumentation for prototyping</span></td></tr>
<tr name="16" id="16">
<td><a id="l16" class='ln'>16</a></td><td><span class="ct"> * Embedded hardware selection: Intel-&gt;x86-64 (Linux 64)</span></td></tr>
<tr name="17" id="17">
<td><a id="l17" class='ln'>17</a></td><td><span class="ct"> * Code generation objective: Execution efficiency</span></td></tr>
<tr name="18" id="18">
<td><a id="l18" class='ln'>18</a></td><td><span class="ct"> * Validation result: All passed</span></td></tr>
<tr name="19" id="19">
<td><a id="l19" class='ln'>19</a></td><td><span class="ct"> */</span></td></tr>
<tr name="20" id="20">
<td><a id="l20" class='ln'>20</a></td><td></td></tr>
<tr name="21" id="21">
<td><a id="l21" class='ln'>21</a></td><td><span class="pp">#ifndef</span> <a id="21c9" class="tk">RTWTYPES_H</a></td></tr>
<tr name="22" id="22">
<td><a id="l22" class='ln'>22</a></td><td><span class="pp">#define</span> <a id="22c9" class="tk">RTWTYPES_H</a></td></tr>
<tr name="23" id="23">
<td><a id="l23" class='ln'>23</a></td><td><span class="pp">#include "tmwtypes.h"</span></td></tr>
<tr name="24" id="24">
<td><a id="l24" class='ln'>24</a></td><td><span class="pp">#include "simstruc_types.h"</span></td></tr>
<tr name="25" id="25">
<td><a id="l25" class='ln'>25</a></td><td><span class="pp">#ifndef</span> <a id="25c9" class="tk">POINTER_T</a></td></tr>
<tr name="26" id="26">
<td><a id="l26" class='ln'>26</a></td><td><span class="pp">#define</span> <a id="26c9" class="tk">POINTER_T</a></td></tr>
<tr name="27" id="27">
<td><a id="l27" class='ln'>27</a></td><td></td></tr>
<tr name="28" id="28">
<td><a id="l28" class='ln'>28</a></td><td><span class="kw">typedef</span> <span class="kw">void</span> <a id="28c14" class="tk">*</a> <a id="28c16" class="tk">pointer_T</a>;</td></tr>
<tr name="29" id="29">
<td><a id="l29" class='ln'>29</a></td><td></td></tr>
<tr name="30" id="30">
<td><a id="l30" class='ln'>30</a></td><td><span class="pp">#endif</span></td></tr>
<tr name="31" id="31">
<td><a id="l31" class='ln'>31</a></td><td></td></tr>
<tr name="32" id="32">
<td><a id="l32" class='ln'>32</a></td><td><span class="ct">/* Logical type definitions */</span></td></tr>
<tr name="33" id="33">
<td><a id="l33" class='ln'>33</a></td><td><span class="pp">#if</span> (<a id="33c6" class="tk">!</a><a id="33c7" class="tk">defined</a>(<a id="33c15" class="tk">__cplusplus</a>))</td></tr>
<tr name="34" id="34">
<td><a id="l34" class='ln'>34</a></td><td><span class="pp">#ifndef</span> false</td></tr>
<tr name="35" id="35">
<td><a id="l35" class='ln'>35</a></td><td><span class="pp">#define</span> false                          (0U)</td></tr>
<tr name="36" id="36">
<td><a id="l36" class='ln'>36</a></td><td><span class="pp">#endif</span></td></tr>
<tr name="37" id="37">
<td><a id="l37" class='ln'>37</a></td><td></td></tr>
<tr name="38" id="38">
<td><a id="l38" class='ln'>38</a></td><td><span class="pp">#ifndef</span> true</td></tr>
<tr name="39" id="39">
<td><a id="l39" class='ln'>39</a></td><td><span class="pp">#define</span> true                           (1U)</td></tr>
<tr name="40" id="40">
<td><a id="l40" class='ln'>40</a></td><td><span class="pp">#endif</span></td></tr>
<tr name="41" id="41">
<td><a id="l41" class='ln'>41</a></td><td><span class="pp">#endif</span></td></tr>
<tr name="42" id="42">
<td><a id="l42" class='ln'>42</a></td><td></td></tr>
<tr name="43" id="43">
<td><a id="l43" class='ln'>43</a></td><td><span class="pp">#ifndef</span> <a id="43c9" class="tk">INT64_T</a></td></tr>
<tr name="44" id="44">
<td><a id="l44" class='ln'>44</a></td><td><span class="pp">#define</span> <a id="44c9" class="tk">INT64_T</a></td></tr>
<tr name="45" id="45">
<td><a id="l45" class='ln'>45</a></td><td></td></tr>
<tr name="46" id="46">
<td><a id="l46" class='ln'>46</a></td><td><span class="kw">typedef</span> <span class="kw">long</span> <a id="46c14" class="tk">int64_T</a>;</td></tr>
<tr name="47" id="47">
<td><a id="l47" class='ln'>47</a></td><td></td></tr>
<tr name="48" id="48">
<td><a id="l48" class='ln'>48</a></td><td><span class="pp">#endif</span></td></tr>
<tr name="49" id="49">
<td><a id="l49" class='ln'>49</a></td><td></td></tr>
<tr name="50" id="50">
<td><a id="l50" class='ln'>50</a></td><td><span class="pp">#ifndef</span> <a id="50c9" class="tk">UINT64_T</a></td></tr>
<tr name="51" id="51">
<td><a id="l51" class='ln'>51</a></td><td><span class="pp">#define</span> <a id="51c9" class="tk">UINT64_T</a></td></tr>
<tr name="52" id="52">
<td><a id="l52" class='ln'>52</a></td><td></td></tr>
<tr name="53" id="53">
<td><a id="l53" class='ln'>53</a></td><td><span class="kw">typedef</span> <span class="kw">unsigned</span> <span class="kw">long</span> <a id="53c23" class="tk">uint64_T</a>;</td></tr>
<tr name="54" id="54">
<td><a id="l54" class='ln'>54</a></td><td></td></tr>
<tr name="55" id="55">
<td><a id="l55" class='ln'>55</a></td><td><span class="pp">#endif</span></td></tr>
<tr name="56" id="56">
<td><a id="l56" class='ln'>56</a></td><td></td></tr>
<tr name="57" id="57">
<td><a id="l57" class='ln'>57</a></td><td><span class="ct">/*===========================================================================*</span></td></tr>
<tr name="58" id="58">
<td><a id="l58" class='ln'>58</a></td><td><span class="ct"> * Additional complex number type definitions                                           *</span></td></tr>
<tr name="59" id="59">
<td><a id="l59" class='ln'>59</a></td><td><span class="ct"> *===========================================================================*/</span></td></tr>
<tr name="60" id="60">
<td><a id="l60" class='ln'>60</a></td><td><span class="pp">#ifndef</span> <a id="60c9" class="tk">CINT64_T</a></td></tr>
<tr name="61" id="61">
<td><a id="l61" class='ln'>61</a></td><td><span class="pp">#define</span> <a id="61c9" class="tk">CINT64_T</a></td></tr>
<tr name="62" id="62">
<td><a id="l62" class='ln'>62</a></td><td></td></tr>
<tr name="63" id="63">
<td><a id="l63" class='ln'>63</a></td><td><span class="kw">typedef</span> <span class="kw">struct</span> <span class="br">{</span></td></tr>
<tr name="64" id="64">
<td><a id="l64" class='ln'>64</a></td><td>  <a id="64c3" class="tk">int64_T</a> <a id="64c11" class="tk">re</a>;</td></tr>
<tr name="65" id="65">
<td><a id="l65" class='ln'>65</a></td><td>  <a id="65c3" class="tk">int64_T</a> <a id="65c11" class="tk">im</a>;</td></tr>
<tr name="66" id="66">
<td><a id="l66" class='ln'>66</a></td><td><span class="br">}</span> <a id="66c3" class="tk">cint64_T</a>;</td></tr>
<tr name="67" id="67">
<td><a id="l67" class='ln'>67</a></td><td></td></tr>
<tr name="68" id="68">
<td><a id="l68" class='ln'>68</a></td><td><span class="pp">#endif</span></td></tr>
<tr name="69" id="69">
<td><a id="l69" class='ln'>69</a></td><td></td></tr>
<tr name="70" id="70">
<td><a id="l70" class='ln'>70</a></td><td><span class="pp">#ifndef</span> <a id="70c9" class="tk">CUINT64_T</a></td></tr>
<tr name="71" id="71">
<td><a id="l71" class='ln'>71</a></td><td><span class="pp">#define</span> <a id="71c9" class="tk">CUINT64_T</a></td></tr>
<tr name="72" id="72">
<td><a id="l72" class='ln'>72</a></td><td></td></tr>
<tr name="73" id="73">
<td><a id="l73" class='ln'>73</a></td><td><span class="kw">typedef</span> <span class="kw">struct</span> <span class="br">{</span></td></tr>
<tr name="74" id="74">
<td><a id="l74" class='ln'>74</a></td><td>  <a id="74c3" class="tk">uint64_T</a> <a id="74c12" class="tk">re</a>;</td></tr>
<tr name="75" id="75">
<td><a id="l75" class='ln'>75</a></td><td>  <a id="75c3" class="tk">uint64_T</a> <a id="75c12" class="tk">im</a>;</td></tr>
<tr name="76" id="76">
<td><a id="l76" class='ln'>76</a></td><td><span class="br">}</span> <a id="76c3" class="tk">cuint64_T</a>;</td></tr>
<tr name="77" id="77">
<td><a id="l77" class='ln'>77</a></td><td></td></tr>
<tr name="78" id="78">
<td><a id="l78" class='ln'>78</a></td><td><span class="pp">#endif</span></td></tr>
<tr name="79" id="79">
<td><a id="l79" class='ln'>79</a></td><td><span class="pp">#endif</span>                                 <span class="ct">/* RTWTYPES_H */</span></td></tr>
<tr name="80" id="80">
<td><a id="l80" class='ln'>80</a></td><td></td></tr>
</table>
</pre>
</body>
</html>
